package click.kamil.springstatemachineexporter.analysis.spring;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

public class SpringBeanRegistry {
    private final List<SpringBean> beans = new ArrayList<>();

    public void addBean(SpringBean bean) {
        beans.add(bean);
    }

    public List<SpringBean> getBeans() {
        return Collections.unmodifiableList(beans);
    }
}
